Summary: Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.
Name: perl-Convert-ASN1
Version: 0.18
Release: 1
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Convert-ASN1-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{name}
BuildRequires: perl 
Requires: perl 

%description
Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.

%prep
%setup -q -n Convert-ASN1-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Convert-ASN1-%{version}-filelist
if [ "$(cat Convert-ASN1-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Convert-ASN1-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.18-1
- Initial build.


